Bug 199521 - Feature Request: Adoption of wildcard "*" for Chang-Jie input method.
Summary: Feature Request: Adoption of wildcard "*" for Chang-Jie input method.
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: scim-tables (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Caius Chance
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature, i18n
Depends On:
Blocks: 227467
TreeView+ depends on / blocked
 
Reported: 2006-07-20 03:44 UTC by Caius Chance
Modified: 2008-08-02 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-09 00:58:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Caius Chance 2006-07-20 03:44:55 UTC
Description of problem:

Normally users have to type full key combinations of certain Chinese character,
or they could just input the first few keystrokes and selecting from the
possible candidates on prebuffer.

Try to let user could use "*" key to substitute the input of middle keystrokes.

i.e. input first key + "*" + last key and show up the possible candidates on
prebuffer.

It has no difference as "Quick Input" method which ALWAYS request for the first
and the last key but Chang-Jie uses "*" to trigger the feature.

Version-Release number of selected component (if applicable):


How reproducible:
Could have a look on the Chang-Jie input method on other OSes.

Steps to Reproduce:
1. Turn on SCIM Chang-Jie input method.
2. Input the first key of a Chinese character.
3. Input "*" key.
4. Input the last key of such Chinese character.
5. Possible candidates appears on the pre-edit buffer.
6. Users select the character they want by pressing corresponding key as usual.
  
Actual results:
User have to input either full keystorkes or first few keystrokes in order for
words.

Expected results:
User could get the character they want even they just remember the first and the
last key of specific character.

Additional info:

Comment 1 Jens Petersen 2006-10-17 03:02:04 UTC
This may already be fixed in 0.5.7.

Comment 2 Jens Petersen 2006-10-27 05:14:08 UTC
scim-tables-0.5.7-1.fc7 has been built btw.

Comment 3 Caius Chance 2006-11-09 00:58:18 UTC
FYI, the function is not available in:

scim-tables-0.5.7-1.fc7
scim-tables-chinese-0.5.7-1.fc7


Comment 4 Caius Chance 2006-11-14 00:16:07 UTC
Ignore comment#3, the feature IS available in:

scim-tables-0.5.7-1.fc7
scim-tables-chinese-0.5.7-1.fc7


Note You need to log in before you can comment on or make changes to this bug.